# frozen_string_literal: true
module BanksterClient
  class BankAccount
    attr_reader :owner, :iban, :bic

    def initialize(owner, iban, bic)
      @owner = owner
      @iban = iban
      @bic = bic
    end

    def to_h
      {
        owner: @owner,
        iban: @iban,
        bic: @bic
      }
    end
  end
end
