# frozen_string_literal: true
require '../lib/bankster/client'

Bankster::Client.configure do |config|
  config.api_url = ''
  config.api_key = ''
end

credentials = Bankster::BankCredentials::Ebics.new(
  key: '',
  user_id: '',
  passphrase: '',
  host_id: '',
  partner_id: '',
  url: ''
)

client = Bankster::Client.new(credentials)

sending_account = BanksterClient::BankAccount.new('', '', '')
receiving_account = BanksterClient::BankAccount.new('', '', '')

puts client.transfer(
  sending_account,
  receiving_account,
  1000,
  'S UL 671891175',
  '5791ffa538f8846d596accdb',
  '5791ffa538f8846d596accdb'
)
